module PAREDE_NOMES

! objetivo: definir as variáveis globais do programa PAREDE

! programador: Carlos Henrique Marchi
! local:       SINMEC/UFSC - Florianópolis - SC

! última alteração = 30 Jan 00

!-------------------------------------------------

implicit none

integer :: unit_main = 10 ! identificador do arquivo de listagem do caso
integer :: unit_aux  = 90 ! identificador de arquivos auxiliares

character*(50) :: inicio = 'parede.inicio.ent' ! nome do arquivo de dados de inicialização do programa

integer :: n ! número total de volumes de controle que definem o perfil do canal
             ! inclui as duas extremidades do domínio

integer :: m ! número de canais em torno da tubeira

integer :: i  ! índice de um ponto específico

integer :: tipo_parede ! tipo de parede
                       ! 0 = duto circular
                       ! 1 = dados constantes

integer :: sai_binario ! tipo de arquivo de saída binário com a malha
                       ! 0 = não gera arquivo
                       ! 1 = todos os parâmetros ()

integer :: w_lista       ! 1 = cria listagem do caso; 0=não
integer :: lista_caso    ! lista conteúdo do arquivo do caso
integer :: lista_arquivo ! lista conteúdo do arquivo de dados do módulo ARQUIVO

integer :: w_campos  ! freqüência de escrita dos campos na listagem do caso; 0=não escreve
integer :: w_grafico ! freqüência de escrita dos campos para mostrar gráfico da malha; 0=sem gráfico

integer :: le_parede_geral    ! lê conteúdo do arquivo de dados do módulo PAREDE_GERAL
integer :: lista_parede_geral ! lista conteúdo do arquivo de dados do módulo PAREDE_GERAL
integer :: copia_parede_geral ! gera back up do arquivo de dados do módulo PAREDE_GERAL

character*50 :: nome_parede_geral ! nome do arquivo de dados do módulo PAREDE_GERAL
character*50 :: nome_tubeira      ! nome do arquivo de dados da tubeira

character*50 :: arquivo_nome_inicio_modulo   ! nome do arquivo de dados do módulo ARQUIVO
character*50 :: plota_nome_inicio_modulo     ! nome do arquivo de dados do módulo PLOTA
character*50 :: constante_nome_inicio_modulo ! nome do arquivo de dados do módulo PAREDE_CONSTANTE
character*50 :: duto_nome_inicio_modulo      ! nome do arquivo de dados do módulo PAREDE_DUTO

character*100 :: titulo      ! título do caso a simular
character*50  :: nome_caso   ! nome do caso a simular

! propriedades geométricas no centro dos volumes de controle
real*8,dimension(:),allocatable :: xp  ! coordenada espacial (m)
real*8,dimension(:),allocatable :: bp  ! altura do canal (m)
real*8,dimension(:),allocatable :: ep  ! espessura entre tubeira e canal (m)
real*8,dimension(:),allocatable :: tp  ! espessura das aletas do canal (m)
real*8,dimension(:),allocatable :: dp  ! diâmetro hidráulico da seção transversal do canal (m)
real*8,dimension(:),allocatable :: sbp ! área da base do canal (m2)
real*8,dimension(:),allocatable :: sap ! área molhada das aletas do canal (m2)
real*8,dimension(:),allocatable :: sp  ! área da seção transversal do canal (m2)

! propriedades geométricas na face leste dos volumes de controle
real*8,dimension(:),allocatable :: xe ! coordenada espacial (m)
real*8,dimension(:),allocatable :: re ! raio da tubeira (m)
real*8,dimension(:),allocatable :: ae ! largura média do canal (m)
real*8,dimension(:),allocatable :: be ! altura do canal (m)
real*8,dimension(:),allocatable :: ee ! espessura entre tubeira e canal (m)
real*8,dimension(:),allocatable :: te ! espessura das aletas do canal (m)
real*8,dimension(:),allocatable :: le ! comprimento médio do escoamento no canal (m)
real*8,dimension(:),allocatable :: de ! diâmetro hidráulico da seção transversal do canal (m)
real*8,dimension(:),allocatable :: se ! área da seção transversal do canal (m2)

real*8 :: s_aleta   ! área total de troca de calor das aletas (m2)
real*8 :: s_base    ! área total de troca de calor na base dos canais (m2)
real*8 :: s_canal   ! área total de troca de calor do lado dos canais (m2)
real*8 :: s_tubeira ! área total de troca de calor da parede da tubeira (m2)

!-------------------------------------------------

end module PAREDE_NOMES